メインコンテンツへスキップ
GET
/
2
/
lists
/
{id}
ID でリストを取得する
curl --request GET \
  --url https://api.x.com/2/lists/{id} \
  --header 'Authorization: Bearer <token>'
{
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  }
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

リストのID。 このリストの一意の識別子。

Pattern: ^[0-9]{1,19}$
:

"1146654567674912769"

クエリパラメータ

list.fields
enum<string>[]

表示する List フィールドのカンマ区切りのリスト。 List オブジェクトで利用可能なフィールド。

Minimum array length: 1
利用可能なオプション:
created_at,
description,
follower_count,
id,
member_count,
name,
owner_id,
private
:
[
"created_at",
"description",
"follower_count",
"id",
"member_count",
"name",
"owner_id",
"private"
]
expansions
enum<string>[]

展開するフィールドのカンマ区切りのリスト。 List オブジェクトに対して展開可能なフィールドのリスト。フィールドが ID を持つ場合、その ID を完全なオブジェクトに展開できます。

Minimum array length: 1
利用可能なオプション:
owner_id
:
["owner_id"]
user.fields
enum<string>[]

表示する User フィールドを指定するカンマ区切りのリストです。 User オブジェクトで利用可能なフィールドです。

Minimum array length: 1
利用可能なオプション:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]

レスポンス

リクエストは成功しました。

data
object

X のリストは、キュレーションされたアカウントのグループです。

errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。

includes
object